| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros
propgridpagestate.h File Reference

## Classes

class | wxPropertyGridHitTestResult
class | wxPropertyGridIteratorBase
class | wxPropertyGridIterator
class | wxPropertyGridConstIterator
class | wxPGVIterator
class | wxPropertyGridPageState
| Contains low-level property page information (properties, column widths, etc) of a single wxPropertyGrid or single wxPropertyGridPage. More...

## Macros

#define | wxPG_IT_CHILDREN(A) (A<<16)

## Enumerations

enum

wxPG_ITERATOR_FLAGS {
wxPG_ITERATE_PROPERTIES,
wxPG_ITERATE_HIDDEN = (wxPG_PROP_HIDDEN|wxPG_IT_CHILDREN(wxPG_PROP_COLLAPSED)),
wxPG_ITERATE_FIXED_CHILDREN = (wxPG_IT_CHILDREN(wxPG_PROP_AGGREGATE)|wxPG_ITERATE_PROPERTIES),
wxPG_ITERATE_CATEGORIES = (wxPG_PROP_CATEGORY|wxPG_IT_CHILDREN(wxPG_PROP_CATEGORY)|wxPG_PROP_COLLAPSED),
wxPG_ITERATE_ALL_PARENTS = (wxPG_PROP_MISC_PARENT|wxPG_PROP_AGGREGATE|wxPG_PROP_CATEGORY),
wxPG_ITERATE_ALL_PARENTS_RECURSIVELY = (wxPG_ITERATE_ALL_PARENTS|wxPG_IT_CHILDREN(wxPG_ITERATE_ALL_PARENTS)),
wxPG_ITERATOR_FLAGS_ALL,
wxPG_ITERATOR_MASK_OP_ITEM = wxPG_ITERATOR_FLAGS_ALL,
wxPG_ITERATOR_MASK_OP_PARENT = wxPG_ITERATOR_FLAGS_ALL,
wxPG_ITERATE_VISIBLE = (wxPG_ITERATE_PROPERTIES|wxPG_PROP_CATEGORY|wxPG_IT_CHILDREN(wxPG_PROP_AGGREGATE)),
wxPG_ITERATE_ALL = (wxPG_ITERATE_VISIBLE|wxPG_ITERATE_HIDDEN),
wxPG_ITERATE_NORMAL = (wxPG_ITERATE_PROPERTIES|wxPG_ITERATE_HIDDEN),
wxPG_ITERATE_DEFAULT = wxPG_ITERATE_NORMAL
}

## Macro Definition Documentation

#define wxPG_IT_CHILDREN | ( |  | A | ) | (A<<16)

## Enumeration Type Documentation

enum wxPG_ITERATOR_FLAGS

# wxPropertyGridIterator Flags

NOTES: At lower 16-bits, there are flags to check if item will be included. At higher 16-bits, there are same flags, but to instead check if children will be included.

Enumerator
wxPG_ITERATE_PROPERTIES | Iterate through 'normal' property items (does not include children of aggregate or hidden items by default).
wxPG_ITERATE_HIDDEN | Iterate children of collapsed parents, and individual items that are hidden.
wxPG_ITERATE_FIXED_CHILDREN | Iterate children of parent that is an aggregate property (ie. has fixed children).
wxPG_ITERATE_CATEGORIES | Iterate categories. Note that even without this flag, children of categories are still iterated through.
wxPG_ITERATE_ALL_PARENTS |
wxPG_ITERATE_ALL_PARENTS_RECURSIVELY |
wxPG_ITERATOR_FLAGS_ALL |
wxPG_ITERATOR_MASK_OP_ITEM |
wxPG_ITERATOR_MASK_OP_PARENT |
wxPG_ITERATE_VISIBLE | Combines all flags needed to iterate through visible properties (ie. hidden properties and children of collapsed parents are skipped).
wxPG_ITERATE_ALL | Iterate all items.
wxPG_ITERATE_NORMAL | Iterate through individual properties (ie. categories and children of aggregate properties are skipped).
wxPG_ITERATE_DEFAULT | Default iterator flags.